aboutsummaryrefslogtreecommitdiffstats
path: root/build-for-llvm-top.sh
diff options
context:
space:
mode:
authorDan Gohman <djg@cray.com>2007-07-18 16:29:46 +0000
committerDan Gohman <djg@cray.com>2007-07-18 16:29:46 +0000
commitf17a25c88b892d30c2b41ba7ecdfbdfb2b4be9cc (patch)
treeebb79ea1ee5e3bc1fdf38541a811a8b804f0679a /build-for-llvm-top.sh
downloadexternal_llvm-f17a25c88b892d30c2b41ba7ecdfbdfb2b4be9cc.zip
external_llvm-f17a25c88b892d30c2b41ba7ecdfbdfb2b4be9cc.tar.gz
external_llvm-f17a25c88b892d30c2b41ba7ecdfbdfb2b4be9cc.tar.bz2
It's not necessary to do rounding for alloca operations when the requested
alignment is equal to the stack alignment. git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@40004 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'build-for-llvm-top.sh')
-rwxr-xr-xbuild-for-llvm-top.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build-for-llvm-top.sh b/build-for-llvm-top.sh
new file mode 100755
index 0000000..a5ddb79
--- /dev/null
+++ b/build-for-llvm-top.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# This includes the Bourne shell library from llvm-top. Since this file is
+# generally only used when building from llvm-top, it is safe to assume that
+# llvm is checked out into llvm-top in which case .. just works.
+. ../library.sh
+
+# Process the options passed in to us by the build script into standard
+# variables.
+process_builder_args "$@"
+
+# See if we have previously been configured by sensing the presense
+# of the config.status scripts
+if test ! -x "config.status" ; then
+ # We must configure so build a list of configure options
+ config_options="--prefix=$PREFIX --with-llvmgccdir=$PREFIX"
+ config_options="$config_options $OPTIONS_DASH $OPTIONS_DASH_DASH"
+ msg 0 Configuring $module with:
+ msg 0 " ./configure" $config_options
+ ./configure $config_options || (echo "Can't configure llvm" ; exit 1)
+fi
+
+msg 0 Building $module with:
+msg 0 " make" $OPTIONS_ASSIGN tools-only
+make $OPTIONS_ASSIGN tools-only